with System;
with Resource_Params;

package Task_Params is

   type Task_Count is range 0..10;
   subtype Task_Id is Task_Count range 1..Task_Count'Last;

   type Event_Kinds is (Periodic, Aperiodic);

   type Task_Kinds is (Regular, With_Sync, Polling, Sporadic);

   type Task_Parameters is record
      Event_Kind : Event_Kinds;
      Task_Kind : Task_Kinds;
      Prio : System.Priority;
      Period, Exec_Time, Deadline, Phase,
        Avg_Interarrival, Initial_Capacity : Duration;
      Res_Id : Resource_Params.Resource_ID;
      Sect_Id  : Resource_Params.Section_Id;
   end record;

   function Get_Parameters (Of_Task : Task_Id) return Task_Parameters;

   function Number_Of_Tasks return Task_Count;

end Task_Params;

